<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: field_web.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$field['field_web'] = [
    'type'   => 'VARCHAR(200) NOT NULL DEFAULT ""',
    'form'   => form_text( 'field_web', self::$locale['field_web'], "%s", [
        'inline'      => TRUE,
        'type'        => 'url',
        'regex'       => 'http(s)?\:\/\/(.*?)',
        'placeholder' => self::$locale['field_web'],
        'ext_tip'     => 'Pl.: https://fusionhu.com'
    ] ),
    'locale' => self::$locale['field_web'],
    'show'   => "<a href='%s' target='_blank'>". self::getTeamIcons( 'globe', 'm-l-10 m-r-10', self::$locale['field_web'] ) . "</a>"
];
