<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: field_email.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$field['field_email'] = [
    'type'   => 'VARCHAR(100) NOT NULL DEFAULT ""',
    'form'   => form_text( 'field_email', self::$locale['field_email'], "%s", [
        'inline'      => TRUE,
        'required'    => TRUE,
        'type'        => 'email',
        'max_length'  => '100',
        'placeholder' => self::$locale['field_email']
    ] ),
    'locale' => self::$locale['field_email'],
    'show'   => '' //( iADMIN || empty( fusion_get_userdata( 'user_hide_email' ) ) ) ? hide_email( '%s', "email" ) : ''
];
