<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: field_location.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$field['field_location'] = [
    'type'   => 'VARCHAR(50) NOT NULL DEFAULT ""',
    'form'   => form_text( 'field_location', self::$locale['field_location'], "%s", [
        'inline'      => TRUE,
        'max_length'  => 50,
        'placeholder' => self::$locale['field_location']
    ] ),
    'locale' => self::$locale['field_location'],
    'show'   => self::getTeamIcons( 'fa fa-map-pin', 'm-l-10 m-r-10', "%s" )
];
