<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: field_phone.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$field['field_phone'] = [
    'type'   => 'VARCHAR(20) NOT NULL DEFAULT ""',
    'form'   => form_text( 'field_phone', self::$locale['field_phone'], "%s", [
        'inline'      => TRUE,
        'max_length'  => 20,
        'placeholder' => self::$locale['field_phone'],
        'ext_tip'     => 'Pl.: +36 30/123 4567'
    ] ),
    'locale' => self::$locale['field_phone'],
    'show'   => self::getTeamIcons( 'phone', 'm-l-10' ) . "%s"
];
